Skip to main content
POST
/
v1
/
pipeline
/
podcast-visual
{
  "input": "https://example.com/episode.mp3",
  "background_color": "#1a1a2e",
  "wave_color": "#e94560"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/podcast-visual \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@audio.mp3" \
  -F "background_color=#1a1a2e" \
  -F "wave_color=#e94560"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/episode.mp3",
  "background_color": "#1a1a2e",
  "wave_color": "#e94560"
}
curl -X POST https://api.ringbee.dev/v1/pipeline/podcast-visual \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@audio.mp3" \
  -F "background_color=#1a1a2e" \
  -F "wave_color=#e94560"
ParamTypeDescription
background_colorstringBackground color as hex code
wave_colorstringWaveform color as hex code

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

background_color
string

Background color as hex code

wave_color
string

Waveform color as hex code

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"